/*****************************************************************************
/*
/*            INSTITUTO NACIONAL PARA LA EVALUACIN DE LA EDUCACIN
/*                       DIRECCIN DE PRUEBAS Y MEDICIN
/*                           SUBDIRECCION DE ANLISIS
/*_____________________________________________________________________________
/*
/*            EXAMENES DE LA CALIDAD Y EL LOGRO EDUCATIVOS (Excale)
/*                TERCER GRADO DE PRIMARIA (Excale 03)
/*
/*                          **** CONTEXTO ****
/*
/*                 Ciclo escolar evaluado: 2005 - 2006
/*_____________________________________________________________________________
/*
/*
/*      SINTXIS PARA CONSTRUIR LA BASE DE DATOS DE ALUMNOS DE CONTEXTO
/*                               EN FORMATO SAS
/*
/*_____________________________________________________________________________
/*
/*  El programa convierte el archivo Excale03_2006_Alum_Cuest.txt el cual est en
/*  formato ASCII a una base de datos en formato SAS. La sintxis realiza las
/*  siguientes tareas:
/*   - Declara formatos para algunas varibles
/*   - Lectura de variables del archivo en formato ASCII
/*   - Declara los valores perdidos por el usuario (missing values)
/*
/* INSTRUCCIONES
/*  Para construir la base de datos (tabla de datos) es necesario:
/*      1) Crear una carpeta de trabajo y colocar en ella al archivo Excale03_2006_Alum_Cuest.txt
/*         as como el archivo Excale03_2006_Alum_Cuest.SAS (este archivo) los cules se pueden
/*         descargar del sitio web del INEE.
/*      2) Modificar la primera y segunda lnea de los comandos de este archivo
/*         (libname y filename) para actualizar el nombre de la libreria y el archivo
/*         de trabajo.
/*      3) Ejecutar el programa del archivo.
/*
/*  Al finalizar, se crear la base de datos (tabla de datos) Excale03_2006_Alum_Cuest.sas7bdat.
/*
/*  Posteriormente, cuando se desee utilizar nuevamente la base Excale03_2006_Alum_Cuest.sas7bdat,
/*  se deber ejecutar primero el procedimiento FORMAT ("proc FORMAT") de este programa para que
/*  SAS carge los formatos necesarios para abrir la base.
/*
/* CONTACTO:
/*
/*      Para mayor informacin o aclaracin de dudas favor de contactar a la
/*      Subdireccin de Anlisis del Instituto
/*      Correo electrnico: excale.analisis@inee.edu.mx
/*      Tel 5482 0900 Ext. 1082
/*      Domicilio: Jos Ma. Velasco No. 101. 3er piso. Col. San Jos Insurgentes
/*                 Del. Benito Jurez. Mxico. D.F.
/*
/* FECHA DE ELABORACIN: 9 DE OCTUBRE DE 2007
/*
/*  ****************************************************************************/


/*****************************************************************************
/*    ACTUALIZACION AL 21 DE MAYO DEL 2008
/*    SE MODIFICO ETIQUETA DE REACTIVO:
/*        ap076
/*******************************************************************************/


LIBNAME  INEE  "C:\***\";          /* Actualizar el nombre del directorio donde se ubica el archivo  Excale03_2006_Alum_Cuest.txt*/
FILENAME alum "C:\***\Excale03_2006_Alum_Cuest.TXT";          /* Actualizar el nombre del directorio donde se ubica el archivo  Excale03_2006_Alum_Cuest.txt*/

PROC FORMAT;
     VALUE id_entF     1         ="Aguascalientes"
                       2         ="Baja California"
                       3         ="Baja California Sur"
                       4         ="Campeche"
                       5         ="Coahuila"
                       6         ="Colima"
                       7         ="Chiapas"
                       8         ="Chihuahua"
                       9         ="Distrito Federal"
                       10        ="Durango"
                       11        ="Guanajuato"
                       12        ="Guerrero"
                       13        ="Hidalgo"
                       14        ="Jalisco"
                       15        ="Mxico"
                       16        ="Michoacn"
                       17        ="Morelos"
                       18        ="Nayarit"
                       19        ="Nuevo Len"
                       20        ="Oaxaca"
                       21        ="Puebla"
                       22        ="Quertaro"
                       23        ="Quintana Roo"
                       24        ="San Luis Potos"
                       25        ="Sinaloa"
                       26        ="Sonora"
                       27        ="Tabasco"
                       28        ="Tamaulipas"
                       29        ="Tlaxcala"
                       30        ="Veracruz"
                       31        ="Yucatn"
                       32        ="Zacatecas";
     VALUE id_modF     1         ="Urbanas Pblicas"
                       2         ="Rurales Pblicas"
                       3         ="Educacin Indgena"
                       4         ="Cursos Comunitarios"
                       5         ="Privadas"
                       6         ="Generales"
                       7         ="Tcnicas"
                       8         ="Telesecundarias"
                       9         ="Privadas";
     VALUE  $modF      "UP"      ="Urbanas Pblicas"
                       "RP"      ="Rurales Pblicas"
                       "EI"      ="Educacin Indgena"
                       "CC"      ="Cursos Comunitarios"
                       "UPV"     ="Privadas"
                       "GRAL"    ="Generales"
                       "TEC"     ="Tcnicas"
                       "TV"      ="Telesecundarias"
                       "PRIV"    ="Privadas";
     VALUE $entestdomF "999999"  ="Respuesta omitida";
     VALUE sexoF       1         ="Hombre"
                       2         ="Mujer"
                       8         ="Respuesta mltiple"
                       9         ="Respuesta omitida";
     VALUE edadcF
                       1         ="Ocho aos o menos"
                       2         ="Nueve aos"
                       3         ="Diez aos"
                       4         ="Once aos o ms"
                       9         ="Respuesta omitida";
     VALUE edad1sF     1         ="Menos de Ocho aos"
                       2         ="Ocho aos"
                       3         ="Nueve aos"
                       4         ="Diez aos o ms"
                       9         ="Respuesta omitida";
     VALUE edadnF      1         ="Edad normativa"
                       2         ="Extra-edad"
                       9         ="Respuesta omitida";
     VALUE edad_acF    98        ="Respuesta mltiple"
                       99        ="Respuesta omitida";
     VALUE mes_nacF    1         ="Enero"
                       2         ="Febrero"
                       3         ="Marzo"
                       4         ="Abril"
                       5         ="Mayo"
                       6         ="Junio"
                       7         ="Julio"
                       8         ="Agosto"
                       9         ="Septiembre"
                       10        ="Octubre"
                       11        ="Noviembre"
                       12        ="Diciembre"
                       98        ="Respuesta mltiple"
                       99        ="Respuesta omitida";
     VALUE docenteF    99999     ="Respuesta omitida";
     VALUE ap1_3F
                       1         = "El espaol"
                       2         = "Una lengua indgena (como nhuatl, maya, purpecha, mixteco, otom u otra)"
                       3         = "Un idioma extranjero (como francs, ingls, alemn u otro)"
                       8         = "Respuesta mltiple"
                       9         = "Respuesta omitida";
     VALUE ap004F
                       1         = "Casi nada"
                       2         = "Poco"
                       3         = "Mucho"
                       8         = "Respuesta mltiple"
                       9         = "Respuesta omitida";
     VALUE ap005F
                       0         = "Nada"
                       1         = "Poco"
                       2         = "Mucho"
                       8         = "Respuesta mltiple"
                       9         = "Respuesta omitida";
     VALUE ap006F
                       2         = "No trabajo"
                       0         = "No recibo dinero"
                       1         = "S recibo dinero"
                       8         = "Respuesta mltiple"
                       9         = "Respuesta omitida";
     VALUE ap007F
                       1         = "S"
                       0         = "No"
                       8         = "Respuesta mltiple"
                       9         = "Respuesta omitida";
     VALUE ap008F
                       0         = "Ninguno"
                       1         = "1 ao"
                       2         = "2 aos"
                       3         = "3 aos"
                       8         = "Respuesta mltiple"
                       9         = "Respuesta omitida";
     VALUE ap009F
                       05        = "'A los 5 aos"
                       06        = "'A los 6 aos"
                       07        = "'A los 7 aos"
                       08        = "'A los 8 aos o ms"
                       98        = "'Respuesta mltiple"
                       99        = "'Respuesta omitida";
     VALUE ap010F
                       1         = "S"
                       0         = "No"
                       8         = "Respuesta mltiple"
                       9         = "Respuesta omitida";
     VALUE ap011F
                       0         = "Menos de 1 ao"
                       1         = "1 ao"
                       2         = "2 aos"
                       3         = "3 aos o ms"
                       8         = "Respuesta mltiple"
                       9         = "Respuesta omitida";
     VALUE ap012F
                       1         = "Primaria"
                       2         = "Secundaria"
                       3         = "Preparatoria o Bachillerato"
                       8         = "Respuesta mltiple"
                       9         = "Respuesta omitida";
     VALUE ap013F
                       1         = "Casi nunca"
                       2         = "Pocas veces"
                       3         = "Muchas veces"
                       4         = "Casi siempre"
                       8         = "Respuesta mltiple"
                       9         = "Respuesta omitida";
     VALUE ap14_16F
                       1         = "Casi nunca"
                       2         = "Pocas veces"
                       3         = "Muchas veces"
                       4         = "Siempre"
                       8         = "Respuesta mltiple"
                       9         = "Respuesta omitida";
     VALUE ap017F
                       1         = "1 da"
                       2         = "2 das"
                       3         = "3 das"
                       4         = "4 das"
                       5         = "5 das"
                       8         = "Respuesta mltiple"
                       9         = "Respuesta omitida";
     VALUE ap18_21F
                       05        = "5"
                       06        = "6"
                       07        = "7"
                       08        = "8"
                       09        = "9"
                       10        = "10"
                       98        = "Respuesta mltiple"
                       99        = "Respuesta omitida";
     VALUE ap022F
                       1         = "S"
                       0         = "No"
                       8         = "Respuesta mltiple"
                       9         = "Respuesta omitida";
     VALUE ap023F
                       0         = "No s"
                       1         = "Un poco"
                       2         = "Mucho"
                       8         = "Respuesta mltiple"
                       9         = "Respuesta omitida";
     VALUE ap024F
                       0         = "Ninguno"
                       1         = "1"
                       2         = "2"
                       3         = "3"
                       4         = "4 o ms"
                       8         = "Respuesta mltiple"
                       9         = "Respuesta omitida";
     VALUE ap25_28F
                       0         = "Nunca"
                       1         = "Pocas veces"
                       2         = "Muchas veces"
                       8         = "Respuesta mltiple"
                       9         = "Respuesta omitida";
     VALUE ap29_36F
                       1         = "Casi nunca"
                       2         = "Pocas veces"
                       3         = "Muchas veces"
                       8         = "Respuesta mltiple"
                       9         = "Respuesta omitida";
     VALUE ap37_38F
                       0         = "Nunca"
                       1         = "Pocas veces"
                       2         = "Muchas veces"
                       8         = "Respuesta mltiple"
                       9         = "Respuesta omitida";
     VALUE ap39_44F
                       1         = "Casi nunca"
                       2         = "Pocas veces"
                       3         = "Muchas veces"
                       8         = "Respuesta mltiple"
                       9         = "Respuesta omitida";
     VALUE ap45_46F
                       1         = "Muy mal"
                       2         = "Mal"
                       3         = "Bien"
                       4         = "Muy bien"
                       8         = "Respuesta mltiple"
                       9         = "Respuesta omitida";
     VALUE ap47_50F
                       1         = "S"
                       0         = "No"
                       8         = "Respuesta mltiple"
                       9         = "Respuesta omitida";
     VALUE ap051F
                       1         = "Con mi pap y mi mam"
                       2         = "Con mi mam"
                       3         = "Con mi pap"
                       4         = "Con ninguno de los dos"
                       8         = "Respuesta mltiple"
                       9         = "Respuesta omitida";
     VALUE ap052F
                       1         = "S"
                       0         = "No"
                       2         = "No s"
                       8         = "Respuesta mltiple"
                       9         = "Respuesta omitida";
     VALUE ap053F
                       5         = "No s"
                       0         = "No fue a la escuela"
                       1         = "Primaria"
                       2         = "Secundaria"
                       3         = "Preparatoria o Bachillerato"
                       4         = "Universidad"
                       8         = "Respuesta mltiple"
                       9         = "Respuesta omitida";
     VALUE ap054F
                       1         = "S"
                       0         = "No"
                       2         = "No s"
                       8         = "Respuesta mltiple"
                       9         = "Respuesta omitida";
     VALUE ap055F
                       5         = "No s"
                       0         = "No fue a la escuela"
                       1         = "Primaria"
                       2         = "Secundaria"
                       3         = "Preparatoria o Bachillerato"
                       4         = "Universidad"
                       8         = "Respuesta mltiple"
                       9         = "Respuesta omitida";
     VALUE ap056F
                       5         = "No s"
                       1         = "Primaria"
                       2         = "Secundaria"
                       3         = "Preparatoria o Bachillerato"
                       4         = "Universidad"
                       8         = "Respuesta mltiple"
                       9         = "Respuesta omitida";
     VALUE ap057F
                       0         = "Ninguno"
                       1         = "Como 10 libros"
                       2         = "Como 25 libros"
                       3         = "Como 50 libros"
                       4         = "Como 100 libros"
                       5         = "Como 200 libros"
                       8         = "Respuesta mltiple"
                       9         = "Respuesta omitida";
     VALUE ap058F
                       0         = "Ninguna"
                       1         = "1"
                       2         = "2"
                       3         = "3"
                       4         = "4 o ms"
                       8         = "Respuesta mltiple"
                       9         = "Respuesta omitida";
     VALUE ap59_62F
                       1         = "Casi nunca"
                       2         = "Pocas veces"
                       3         = "Muchas veces"
                       4         = "Casi siempre"
                       8         = "Respuesta mltiple"
                       9         = "Respuesta omitida";
     VALUE ap063F
                       0         = "Nunca"
                       1         = "Pocas veces"
                       2         = "Muchas veces"
                       8         = "Respuesta mltiple"
                       9         = "Respuesta omitida";
     VALUE ap064F
                       1         = "Muy mal"
                       2         = "Mal"
                       3         = "Bien"
                       4         = "Muy bien"
                       8         = "Respuesta mltiple"
                       9         = "Respuesta omitida";
     VALUE ap065F
                       0         = "Nunca"
                       1         = "Pocas veces"
                       2         = "Muchas veces"
                       8         = "Respuesta mltiple"
                       9         = "Respuesta omitida";
     VALUE ap066F
                       2         = "2"
                       3         = "3"
                       4         = "4"
                       5         = "5"
                       6         = "6"
                       7         = "7 o ms"
                       8         = "Respuesta mltiple"
                       9         = "Respuesta omitida";
     VALUE ap067F
                       1         = "1"
                       2         = "2"
                       3         = "3"
                       4         = "4"
                       5         = "5 o ms"
                       8         = "Respuesta mltiple"
                       9         = "Respuesta omitida";
     VALUE ap068F
                       1         = "S"
                       0         = "No"
                       2         = "No s"
                       8         = "Respuesta mltiple"
                       9         = "Respuesta omitida";
     VALUE ap069F
                       1         = "Tierra"
                       2         = "Cemento"
                       3         = "Piso de mosaico, alfombra o duela"
                       8         = "Respuesta mltiple"
                       9         = "Respuesta omitida";
     VALUE ap70_73F
                       1         = "S"
                       0         = "No"
                       8         = "Respuesta mltiple"
                       9         = "Respuesta omitida";
     VALUE ap074F
                       1         = "S"
                       0         = "No"
                       2         = "No s"
                       8         = "Respuesta mltiple"
                       9         = "Respuesta omitida";
     VALUE ap075F
                       1         = "S"
                       0         = "No"
                       8         = "Respuesta mltiple"
                       9         = "Respuesta omitida";
     VALUE ap076F
                       1         = "S"
                       0         = "No"
                       2         = "No s"
                       8         = "Respuesta mltiple"
                       9         = "Respuesta omitida";
     VALUE  cal_nlF
                       1          ="Baja"
                       2          ="Media"
                       3          ="Alta";
     VALUE  ded_nlF
                       1          ="Alta"
                       2          ="Media"
                       3          ="Baja";
     VALUE  infr_nlF
                       1          ="Bajo"
                       2          ="Medio bajo"
                       3          ="Medio alto"
                       4          ="Alto";
     VALUE  cce_nlF
                       1          ="Alto"
                       2          ="Medio alto"
                       3          ="Medio bajo"
                       4          ="Bajo";
RUN;



DATA INEE.Excale03_2006_Alum_Cuest;
   LENGTH
       nacional           3
       escuela            4
       id_ent             3
       nom_ent            $20
       id_mod             3
       mod                $4
       entest             $6
       entestdom          $6
       alumno             6
       id_instr           $16
       sexo               3
       edad               8
       edadc              3
       edad1sep           8
       edad1sepc          3
       edadn              3
       edad_ac            3
       mes_nac            3
       w_alu              8
       docente            5
       ap001              3
       ap002              3
       ap003              3
       ap004              3
       ap005              3
       ap006              3
       ap007              3
       ap008              3
       ap009              3
       ap010              3
       ap011              3
       ap012              3
       ap013              3
       ap014              3
       ap015              3
       ap016              3
       ap017              3
       ap018              3
       ap019              3
       ap020              3
       ap021              3
       ap022              3
       ap023              3
       ap024              3
       ap025              3
       ap026              3
       ap027              3
       ap028              3
       ap029              3
       ap030              3
       ap031              3
       ap032              3
       ap033              3
       ap034              3
       ap035              3
       ap036              3
       ap037              3
       ap038              3
       ap039              3
       ap040              3
       ap041              3
       ap042              3
       ap043              3
       ap044              3
       ap045              3
       ap046              3
       ap047              3
       ap048              3
       ap049              3
       ap050              3
       ap051              3
       ap052              3
       ap053              3
       ap054              3
       ap055              3
       ap056              3
       ap057              3
       ap058              3
       ap059              3
       ap060              3
       ap061              3
       ap062              3
       ap063              3
       ap064              3
       ap065              3
       ap066              3
       ap067              3
       ap068              3
       ap069              3
       ap070              3
       ap071              3
       ap072              3
       ap073              3
       ap074              3
       ap075              3
       ap076              3
       cal_old            8
       calidad            8
       cal_nl             3
       ded_old            8
       dedicacion         8
       ded_nl             3
       Infra_old          8
       infra              8
       infra_nl           3
       cce_old            8
       cce                8
       cce_nl             3
       wvarstrr           3
       w_fstr1            8
       w_fstr2            8
       w_fstr3            8
       w_fstr4            8
       w_fstr5            8
       w_fstr6            8
       w_fstr7            8
       w_fstr8            8
       w_fstr9            8
       w_fstr10           8
       w_fstr11           8
       w_fstr12           8
       w_fstr13           8
       w_fstr14           8
       w_fstr15           8
       w_fstr16           8
       w_fstr17           8
       w_fstr18           8
       w_fstr19           8
       w_fstr20           8
       w_fstr21           8
       w_fstr22           8
       w_fstr23           8
       w_fstr24           8
       w_fstr25           8
       w_fstr26           8
       w_fstr27           8
       w_fstr28           8
       w_fstr29           8
       w_fstr30           8
       w_fstr31           8
       w_fstr32           8
       w_fstr33           8
       w_fstr34           8
       w_fstr35           8
       w_fstr36           8
       w_fstr37           8
       w_fstr38           8
       w_fstr39           8
       w_fstr40           8
       w_fstr41           8
       w_fstr42           8
       w_fstr43           8
       w_fstr44           8
       w_fstr45           8
       w_fstr46           8
       w_fstr47           8
       w_fstr48           8
       w_fstr49           8
       w_fstr50           8
       w_fstr51           8
       w_fstr52           8
       w_fstr53           8
       w_fstr54           8
       w_fstr55           8
       w_fstr56           8
       w_fstr57           8
       w_fstr58           8
       w_fstr59           8
       w_fstr60           8
       w_fstr61           8
       w_fstr62           8
       w_fstr63           8
       w_fstr64           8
       w_fstr65           8
       w_fstr66           8
       w_fstr67           8
       w_fstr68           8
       w_fstr69           8
       w_fstr70           8
       w_fstr71           8
       w_fstr72           8
       w_fstr73           8
       w_fstr74           8
       w_fstr75           8
       w_fstr76           8
       w_fstr77           8
       w_fstr78           8
       w_fstr79           8
       w_fstr80           8
   ;

INFILE alum MISSOVER LINESIZE = 1469;
   INPUT
       nacional              1 - 1
       escuela               2 - 5
       id_ent                6 - 7
       nom_ent               8 - 27
       id_mod               28 - 28
       mod                  29 - 32
       entest               33 - 38
       entestdom            39 - 44
       alumno               45 - 50
       id_instr             51 - 66
       sexo                 67 - 67
       EDAD                 68 - 72
       EDADC                73 - 73
       edad1sep             74 - 89
       edad1sepc            90 - 92
       EDADN                93 - 93
       edad_ac              94 - 95
       mes_nac              96 - 97
       w_alu                98 - 113
       docente             114 - 118
       ap001               119 - 119
       ap002               120 - 120
       ap003               121 - 121
       ap004               122 - 122
       ap005               123 - 123
       ap006               124 - 124
       ap007               125 - 125
       ap008               126 - 126
       ap009               127 - 128
       ap010               129 - 129
       ap011               130 - 130
       ap012               131 - 131
       ap013               132 - 132
       ap014               133 - 133
       ap015               134 - 134
       ap016               135 - 135
       ap017               136 - 136
       ap018               137 - 138
       ap019               139 - 140
       ap020               141 - 142
       ap021               143 - 144
       ap022               145 - 145
       ap023               146 - 146
       ap024               147 - 147
       ap025               148 - 148
       ap026               149 - 149
       ap027               150 - 150
       ap028               151 - 151
       ap029               152 - 152
       ap030               153 - 153
       ap031               154 - 154
       ap032               155 - 155
       ap033               156 - 156
       ap034               157 - 157
       ap035               158 - 158
       ap036               159 - 159
       ap037               160 - 160
       ap038               161 - 161
       ap039               162 - 162
       ap040               163 - 163
       ap041               164 - 164
       ap042               165 - 165
       ap043               166 - 166
       ap044               167 - 167
       ap045               168 - 168
       ap046               169 - 169
       ap047               170 - 170
       ap048               171 - 171
       ap049               172 - 172
       ap050               173 - 173
       ap051               174 - 174
       ap052               175 - 175
       ap053               176 - 176
       ap054               177 - 177
       ap055               178 - 178
       ap056               179 - 179
       ap057               180 - 180
       ap058               181 - 181
       ap059               182 - 182
       ap060               183 - 183
       ap061               184 - 184
       ap062               185 - 185
       ap063               186 - 186
       ap064               187 - 187
       ap065               188 - 188
       ap066               189 - 189
       ap067               190 - 190
       ap068               191 - 191
       ap069               192 - 192
       ap070               193 - 193
       ap071               194 - 194
       ap072               195 - 195
       ap073               196 - 196
       ap074               197 - 197
       ap075               198 - 198
       ap076               199 - 199
       cal_old             200 - 216
       calidad             217 - 233
       cal_nl              234 - 234
       ded_old             235 - 252
       dedicacion          253 - 270
       ded_nl              271 - 271
       Infra_old           272 - 290
       infra               291 - 309
       infra_nl            310 - 310
       cce_old             311 - 328
       cce                 329 - 346
       cce_nl              347 - 347
       wvarstrr            348 - 349
       w_fstr1             350 - 363
       w_fstr2             364 - 377
       w_fstr3             378 - 391
       w_fstr4             392 - 405
       w_fstr5             406 - 419
       w_fstr6             420 - 433
       w_fstr7             434 - 447
       w_fstr8             448 - 461
       w_fstr9             462 - 475
       w_fstr10            476 - 489
       w_fstr11            490 - 503
       w_fstr12            504 - 517
       w_fstr13            518 - 531
       w_fstr14            532 - 545
       w_fstr15            546 - 559
       w_fstr16            560 - 573
       w_fstr17            574 - 587
       w_fstr18            588 - 601
       w_fstr19            602 - 615
       w_fstr20            616 - 629
       w_fstr21            630 - 643
       w_fstr22            644 - 657
       w_fstr23            658 - 671
       w_fstr24            672 - 685
       w_fstr25            686 - 699
       w_fstr26            700 - 713
       w_fstr27            714 - 727
       w_fstr28            728 - 741
       w_fstr29            742 - 755
       w_fstr30            756 - 769
       w_fstr31            770 - 783
       w_fstr32            784 - 797
       w_fstr33            798 - 811
       w_fstr34            812 - 825
       w_fstr35            826 - 839
       w_fstr36            840 - 853
       w_fstr37            854 - 867
       w_fstr38            868 - 881
       w_fstr39            882 - 895
       w_fstr40            896 - 909
       w_fstr41            910 - 923
       w_fstr42            924 - 937
       w_fstr43            938 - 951
       w_fstr44            952 - 965
       w_fstr45            966 - 979
       w_fstr46            980 - 993
       w_fstr47            994 - 1007
       w_fstr48           1008 - 1021
       w_fstr49           1022 - 1035
       w_fstr50           1036 - 1049
       w_fstr51           1050 - 1063
       w_fstr52           1064 - 1077
       w_fstr53           1078 - 1091
       w_fstr54           1092 - 1105
       w_fstr55           1106 - 1119
       w_fstr56           1120 - 1133
       w_fstr57           1134 - 1147
       w_fstr58           1148 - 1161
       w_fstr59           1162 - 1175
       w_fstr60           1176 - 1189
       w_fstr61           1190 - 1203
       w_fstr62           1204 - 1217
       w_fstr63           1218 - 1231
       w_fstr64           1232 - 1245
       w_fstr65           1246 - 1259
       w_fstr66           1260 - 1273
       w_fstr67           1274 - 1287
       w_fstr68           1288 - 1301
       w_fstr69           1302 - 1315
       w_fstr70           1316 - 1329
       w_fstr71           1330 - 1343
       w_fstr72           1344 - 1357
       w_fstr73           1358 - 1371
       w_fstr74           1372 - 1385
       w_fstr75           1386 - 1399
       w_fstr76           1400 - 1413
       w_fstr77           1414 - 1427
       w_fstr78           1428 - 1441
       w_fstr79           1442 - 1455
       w_fstr80           1456 - 1469
   ;

   LABEL
       nacional    = "Variable auxiliar para obtener promedios nacionales"
       escuela     = "Identificador de la escuela"
       id_ent      = "Entidad federativa (identificador numrico)"
       nom_ent     = "Entidad federativa"
       id_mod      = "Estrato escolar o Modalidad educativa (identificador numrico)"
       mod         = "Estrato escolar o Modalidad educativa"
       entest      = "Estratos del diseo muestral con el que se estiman los parmetros y errores estndar (Entidad federativa-Modalidad)"
       entestdom   = "Variable auxiliar para identificar los dominios de estudio (subpoblaciones donde se reportan resultados) a nivel de modalidad al interior de las entidades"
       alumno      = "Identifcador del alumno"
       id_instr    = "Identificador del cuadernillo de examen"
       sexo        = "Sexo del alumno"
       edad        = "Edad del alumno al mes de mayo de 2006, en aos (al momento de la aplicacin)"
       edadc       = "Edad del alumno al mes de mayo de 2006, codificada (al momento de la aplicacin)"
       edad1sep    = "Edad del alumno al mes de septiembre de 2005, en aos (al inicio del ciclo escolar)"
       edad1sepc   = "Edad del alumno al mes de septiembre de 2005, codificada (al inicio del ciclo escolar)"
       edadn       = "Edad normativa"
       edad_ac     = "Edad en aos cumplidos (al momento de la aplicacin)"
       mes_nac     = "Mes de nacimiento del alumno (al momento de la aplicacin)"
       w_alu       = "Peso muestral o ponderador del alumno"
       docente     = "Identificador del docente que imparte clases al alumno"
       ap001       = "Qu lengua aprendiste a hablar primero?"
       ap002       = "Qu lengua hablas en tu casa la mayor parte del tiempo?"
       ap003       = "Qu lengua hablas en tu escuela la mayor parte del tiempo?"
       ap004       = "Cunto tiempo dedicas a realizar quehaceres domsticos, tales como lavar, planchar, barrer, cuidar personas, etctera?"
       ap005       = "Cunto tiempo dedicas a trabajar? (Por ejemplo: trabajar en el campo, vender o elaborar cosas, etctera)."
       ap006       = "Recibes dinero por el trabajo que realizas?"
       ap007       = "Tienes problemas para ver, or o moverte?"
       ap008       = "Cuntos aos fuiste al jardn de nios knder o preescolar?"
       ap009       = "A qu edad entraste a la primaria?"
       ap010       = "Has reprobado algn ao en la primaria?"
       ap011       = "Cuntos aos llevas estudiando en esta escuela?"
       ap012       = "Hasta qu nivel educativo te gustara estudiar"
       ap013       = "Llegaste tarde a la escuela en este ao escolar?"
       ap014       = "Llevas a la escuela todo el material que te piden tus maestros?(Por ejemplo: cartulina, colores, plastilina, etctera)."
       ap015       = "Haces los ejercicios que pone tu maestro en clase?"
       ap016       = "Haces las tareas que te deja tu maestro?"
       ap017       = "Cuntos das a la semana haces tarea?"
       ap018       = "Cul fue tu ltima calificacin de Espaol en la boleta?"
       ap019       = "Cul fue tu ltima calificacin de matemticas en la boleta?"
       ap020       = "Cul fue tu ltima calificacin de Ciencias Naturales en la boleta?"
       ap021       = "Cul fue tu ltima calificacin de Historia, Geografa y Educacin Cvica en la boleta?"
       ap022       = "Puedes leer un texto escrito en ingls?"
       ap023       = "Sabes usar una computadora?"
       ap024       = "Cuntos programas de televisin ves al da?"
       ap025       = "En este ao escolar te han castigado o reportado por mala conducta en la escuela?"
       ap026       = "Te has peleado a golpes en este ao escolar?"
       ap027       = "En este ao escolar daaste alguna instalacin, mobiliario o equipo de la escuela?(Por ejemplo: pintar en las bardas, romper vidrios, descomponer chapas de las puertas, etctera)."
       ap028       = "En este ao escolar participaste en un grupo de estudiantes que haya amenazado a otros alumnos de la escuela?"
       ap029       = "Qu tan seguido falta tu maestro a clases?"
       ap030       = "Qu tan seguido llega tarde tu maestro al saln de clases?"
       ap031       = "Tu maestro deja solo al grupo en horas de clase?"
       ap032       = "Tu maestro platica con otras personas mayores en el tiempo de clase?"
       ap033       = "Tu maestro los deja hacer las actividades que deseen, mientras l hace otras cosas?"
       ap034       = "Tu maestro corrige las tareas que te deja?"
       ap035       = "Tu maestro te dice lo que est bien o lo que est mal de tu trabajo en clase?"
       ap036       = "Tu maestro felicita a los alumnos por su esfuerzo?"
       ap037       = "Tu maestro se enoja cuando los alumnos hacen preguntas?"
       ap038       = "Tu maestro castiga a los alumnos cuando estn muy inquietos o desobedecen?"
       ap039       = "Tu maestro usa palabras que t no entiendes?"
       ap040       = "Tu maestro pone a los alumnos a trabajar en equipo?"
       ap041       = "Tu maestro deja ejercicios de repaso despus de ver un tema?"
       ap042       = "Tu maestro da ejemplos fciles para que los alumnos comprendan mejor una clase?"
       ap043       = "Tu maestro les dicta?"
       ap044       = "Tu maestro les pide que escriban cuentos o historias?"
       ap045       = "Cmo te trata tu maestro?"
       ap046       = "Cmo te llevas con tus compaeros del saln?"
       ap047       = "En este ao escolar te han robado algn objeto o dinero dentro de la escuela?"
       ap048       = "En este ao escolar te ha lastimado fsicamente otro alumno?"
       ap049       = "En este ao escolar has recibido amenazas de otro alumno?"
       ap050       = "Tus compaeros se burlan constantemente de ti?"
       ap051       = "Con cul de tus padres vives?"
       ap052       = "Sabe leer y escribir tu mam?"
       ap053       = "Hasta qu nivel estudi tu mam?"
       ap054       = "Sabe leer y escribir tu pap?"
       ap055       = "Hasta qu nivel estudi tu pap?"
       ap056       = "Hasta qu nivel educativo les gustara a tus paps que estudiaras?"
       ap057       = "Cuntos libros hay en tu casa?"
       ap058       = "Cuntas veces fuiste al cine en este ao escolar?"
       ap059       = "Tus padres estn al pendiente de tus calificaciones?"
       ap060       = "Tus padres te consiguen los materiales escolares que te pide tu maestro?"
       ap061       = "Tus padres estn al pendiente de que estudies para los exmenes?"
       ap062       = "Cuando se te dificulta una tarea, te ayuda tu mam o pap?"
       ap063       = "Qu tan seguido te peleas con alguno de tus padres?"
       ap064       = "Cmo se llevan las personas que viven en tu casa?"
       ap065       = "Las personas que viven en tu casa se pelean a golpes?"
       ap066       = "Contndote a ti, cuntas personas viven en tu casa?"
       ap067       = "En la casa donde vives, cuntos cuartos se usan para dormir?"
       ap068       = "Recibes beca del Programa de Oportunidades?"
       ap069       = "De qu material es la mayor parte del piso que est dentro de tu casa?"
       ap070       = "Hay telfono en tu casa?"
       ap071       = "Hay drenaje en tu casa?"
       ap072       = "Tu familia tiene un auto, coche o camioneta?"
       ap073       = "Hay televisin en tu casa?"
       ap074       = "Tienes horno de microondas en tu casa?"
       ap075       = "Tienes computadora en tu casa?"
       ap076       = "Tienes Internet en tu casa?"
       cal_old     = "Calidad de la enseanza (variable original)"
       calidad     = "Calidad de la enseanza (variable normaliza y con imputacin de los casos perdidos)"
       cal_nl      = "Niveles de calidad de la enseanza (En tres niveles)"
       ded_old     = "Dedicacin de enseanza (variable original)"
       dedicacion  = "Dedicacin de enseanza (variable normaliza y con imputacin de los casos perdidos)"
       ded_nl      = "Niveles de la dedicacin a la enseanza (En tres niveles)"
       Infra_old   = "Infraestructura escolar (variable original)"
       infra       = "Infraestructura escolar (variable normaliza y con imputacin de los casos perdidos)"
       infra_nl    = "Niveles de infraestructura escolar (En cuatro niveles)"
       cce_old     = "Capital cultural escolar (variable original)"
       cce         = "Capital cultural escolar (variable normaliza y con imputacin de los casos perdidos)"
       cce_nl      = "Niveles del capital cultural escolar (En cuatro niveles)"
       wvarstrr    = "Identificador del pseudoestrato (1 a 80) definido para el clculo de errores estndar con el mtodo de remuestreo BRR"
       w_fstr1     = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
       w_fstr2     = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
       w_fstr3     = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
       w_fstr4     = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
       w_fstr5     = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
       w_fstr6     = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
       w_fstr7     = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
       w_fstr8     = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
       w_fstr9     = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
       w_fstr10    = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
       w_fstr11    = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
       w_fstr12    = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
       w_fstr13    = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
       w_fstr14    = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
       w_fstr15    = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
       w_fstr16    = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
       w_fstr17    = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
       w_fstr18    = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
       w_fstr19    = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
       w_fstr20    = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
       w_fstr21    = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
       w_fstr22    = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
       w_fstr23    = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
       w_fstr24    = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
       w_fstr25    = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
       w_fstr26    = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
       w_fstr27    = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
       w_fstr28    = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
       w_fstr29    = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
       w_fstr30    = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
       w_fstr31    = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
       w_fstr32    = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
       w_fstr33    = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
       w_fstr34    = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
       w_fstr35    = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
       w_fstr36    = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
       w_fstr37    = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
       w_fstr38    = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
       w_fstr39    = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
       w_fstr40    = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
       w_fstr41    = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
       w_fstr42    = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
       w_fstr43    = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
       w_fstr44    = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
       w_fstr45    = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
       w_fstr46    = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
       w_fstr47    = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
       w_fstr48    = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
       w_fstr49    = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
       w_fstr50    = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
       w_fstr51    = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
       w_fstr52    = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
       w_fstr53    = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
       w_fstr54    = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
       w_fstr55    = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
       w_fstr56    = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
       w_fstr57    = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
       w_fstr58    = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
       w_fstr59    = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
       w_fstr60    = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
       w_fstr61    = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
       w_fstr62    = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
       w_fstr63    = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
       w_fstr64    = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
       w_fstr65    = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
       w_fstr66    = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
       w_fstr67    = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
       w_fstr68    = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
       w_fstr69    = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
       w_fstr70    = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
       w_fstr71    = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
       w_fstr72    = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
       w_fstr73    = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
       w_fstr74    = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
       w_fstr75    = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
       w_fstr76    = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
       w_fstr77    = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
       w_fstr78    = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
       w_fstr79    = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
       w_fstr80    = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
   ;

   FORMAT
       nacional           1.
       escuela            4.
       id_ent             id_entF.
       nom_ent            $char20.
       id_mod             id_modF.
       mod                $modF.
       entest             $char6.
       entestdom          $entestdomF.
       alumno             6.
       id_instr           $char16.
       sexo               sexoF.
       edadc              edadcF.
       edad1sepc          edad1sF.
       edadn              edadnF.
       edad_ac            edad_acF.
       mes_nac            mes_nacF.
       docente            docenteF.
       ap001              ap1_3F.
       ap002              ap1_3F.
       ap003              ap1_3F.
       ap004              ap004F.
       ap005              ap005F.
       ap006              ap006F.
       ap007              ap007F.
       ap008              ap008F.
       ap009              ap009F.
       ap010              ap010F.
       ap011              ap011F.
       ap012              ap012F.
       ap013              ap013F.
       ap014              ap14_16F.
       ap015              ap14_16F.
       ap016              ap14_16F.
       ap017              ap017F.
       ap018              ap18_21F.
       ap019              ap18_21F.
       ap020              ap18_21F.
       ap021              ap18_21F.
       ap022              ap022F.
       ap023              ap023F.
       ap024              ap024F.
       ap025              ap25_28F.
       ap026              ap25_28F.
       ap027              ap25_28F.
       ap028              ap25_28F.
       ap029              ap29_36F.
       ap030              ap29_36F.
       ap031              ap29_36F.
       ap032              ap29_36F.
       ap033              ap29_36F.
       ap034              ap29_36F.
       ap035              ap29_36F.
       ap036              ap29_36F.
       ap037              ap37_38F.
       ap038              ap37_38F.
       ap039              ap39_44F.
       ap040              ap39_44F.
       ap041              ap39_44F.
       ap042              ap39_44F.
       ap043              ap39_44F.
       ap044              ap39_44F.
       ap045              ap45_46F.
       ap046              ap45_46F.
       ap047              ap47_50F.
       ap048              ap47_50F.
       ap049              ap47_50F.
       ap050              ap47_50F.
       ap051              ap051F.
       ap052              ap052F.
       ap053              ap053F.
       ap054              ap054F.
       ap055              ap055F.
       ap056              ap056F.
       ap057              ap057F.
       ap058              ap058F.
       ap059              ap59_62F.
       ap060              ap59_62F.
       ap061              ap59_62F.
       ap062              ap59_62F.
       ap063              ap063F.
       ap064              ap064F.
       ap065              ap065F.
       ap066              ap066F.
       ap067              ap067F.
       ap068              ap068F.
       ap069              ap069F.
       ap070              ap70_73F.
       ap071              ap70_73F.
       ap072              ap70_73F.
       ap073              ap70_73F.
       ap074              ap074F.
       ap075              ap075F.
       ap076              ap076F.
       cal_nl             cal_nlF.
       ded_nl             ded_nlF.
       infra_nl           infr_nlF.
       cce_nl             cce_nlF.
       wvarstrr           2.
   ;



/**************************************************************************
/*  Definicin de valores perdidos
/*   .N o N = No Administrado o no alcanzado.
/*   .M o M = Respuesta Multiple.
/*   .S o S = No contestado.
/*************************************************************************/
   IF entestdom = "999999"  THEN entestdom = "S";
   IF  sexo = 8 THEN  sexo = .M;
   IF  edad_ac = 98 THEN  edad_ac = .M;
   IF  mes_nac = 98 THEN  mes_nac = .M;

   ARRAY perdidos1(4)  sexo edadc edad1sepc edadn;
   DO  i=1 TO 4;
         IF perdidos1{i}=9 THEN  perdidos1{i}= .S;
   END;

   ARRAY perdidos2(4)  edad edad1sep edad_ac mes_nac;
   DO  i=1 TO 4;
         IF perdidos2{i}=99 THEN  perdidos2{i}= .S;
   END;

   IF  docente = 99999 THEN  docente = .S;

   ARRAY perdidos3(71)
                   ap001 ap002 ap003 ap004 ap005 ap006 ap007 ap008 ap010 ap011
                   ap012 ap013 ap014 ap015 ap016 ap017 ap022 ap023 ap024 ap025
                   ap026 ap027 ap028 ap029 ap030 ap031 ap032 ap033 ap034 ap035
                   ap036 ap037 ap038 ap039 ap040 ap041 ap042 ap043 ap044 ap045
                   ap046 ap047 ap048 ap049 ap050 ap051 ap052 ap053 ap054 ap055
                   ap056 ap057 ap058 ap059 ap060 ap061 ap062 ap063 ap064 ap065
                   ap066 ap067 ap068 ap069 ap070 ap071 ap072 ap073 ap074 ap075 ap076;
   DO  i=1 TO 71;
          IF perdidos3{i} = 8   THEN  perdidos3{i} = .M;
          IF perdidos3{i} = 9   THEN  perdidos3{i} = .S;
   END;

   ARRAY perdidos4(5)
                   ap009 ap018 ap019 ap020 ap021;
   DO  i=1 TO 5;
          IF perdidos4{i} = 98   THEN  perdidos4{i} = .M;
          IF perdidos4{i} = 99   THEN  perdidos4{i} = .S;
   END;

   drop i;
RUN;

